=== debian/changelog ===
scythe (0.994-4) unstable; urgency=medium

  * Team upload.
  * Really treat VERSION as string
    Closes: #857900

 -- Andreas Tille <tille@debian.org>  Thu, 16 Mar 2017 14:22:02 +0100

scythe (0.994-3) unstable; urgency=medium

  [ Kevin Murray ]
  * Comment out watchfile, upstream doesn't actually provide tags on github
  * Fix vcs git URL
  * Bump standards version

  [ Mattia Rizzolo ]
  * debian/rules: remove useless include

 -- Kevin Murray <spam@kdmurray.id.au>  Thu, 17 Mar 2016 12:39:24 +0000

scythe (0.994-2) unstable; urgency=low

  * Fix copyright of kseq.h in d/control
  * Patch Makefile to pull in hardening flags correctly
  * Add compiled readme to gitignore

 -- Kevin Murray <spam@kdmurray.id.au>  Mon, 19 Oct 2015 11:27:51 +1100

scythe (0.994-1) unstable; urgency=medium

  * Initial release. (Closes: #776179)

 -- Kevin Murray <spam@kdmurray.id.au>  Sun, 25 Jan 2015 11:09:57 +1100
