=== debian/control ===
Source: scythe
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev,
               python-markdown,
               check
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/git/debian-med/scythe.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/scythe.git
Homepage: https://github.com/vsbuffalo/scythe

Package: scythe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Bayesian adaptor trimmer for sequencing reads
 Scythe uses a Naive Bayesian approach to classify contaminant substrings in
 sequence reads. It considers quality information, which can make it robust in
 picking out 3'-end adapters, which often include poor quality bases.
