=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	markdown_py -f README.html README.md

get-orig-source:
	@echo "Downloading source from GitHub"
	wget -O scythe_0.994.orig.tar.gz https://api.github.com/repos/vsbuffalo/scythe/tarball/20d3cff7d7f483bd779aff75f861e93708c0a2b5
