=== debian/watch ===
#version=3
#https://github.com/vsbuffalo/scythe/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
