## scythe 0.994+git20141017.20d3cff

=== debian/changelog ===
scythe (0.994+git20141017.20d3cff-3) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtests
  * compat version: 13, standards version: 4.5.0
  * Add "Rules-Requires-Root:no"
  * Add hardening options

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 14 Aug 2020 15:30:00 +0530

scythe (0.994+git20141017.20d3cff-2) unstable; urgency=medium

  * Team upload.
  * Replace python-markdown by markdown
    Closes: #943255
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2019 10:00:23 +0100

scythe (0.994+git20141017.20d3cff-1) unstable; urgency=medium

  * d/watch: use git mode
  * Drop unneeded get-orig-source target
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 17:50:51 +0200
