=== debian/control ===
Source: scythe
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev,
               markdown,
               check
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/scythe
Vcs-Git: https://salsa.debian.org/med-team/scythe.git
Homepage: https://github.com/vsbuffalo/scythe
Rules-Requires-Root: no

Package: scythe
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Bayesian adaptor trimmer for sequencing reads
 Scythe uses a Naive Bayesian approach to classify contaminant substrings in
 sequence reads. It considers quality information, which can make it robust in
 picking out 3'-end adapters, which often include poor quality bases.
