=== debian/watch ===
version=4

opts="mode=git,pretty=0.994+git%cd.%h" \
    https://github.com/vsbuffalo/scythe.git HEAD
